Skip to main content
POST
Dry run a proposed schema change over existing values.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
databaseId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
tableId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Body

application/json
expectedSchemaVersion
integer
required
Required range: 1 <= x <= 2147483647
change
object
required

Response

Authorised operation result.

valid
boolean
required
requiresJob
boolean
required
rowCount
integer
required
Required range: 0 <= x <= 9007199254740991
conflicts
object[]
required
Maximum array length: 1000
reportArtifactId
string
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$